<?php
/*
// "Joomla! Professional Partners Program" Module by JoomlaWorks for Joomla! 1.0.x - Version 1.0
// Copyright (c) 2006 - 2009 JoomlaWorks Ltd. All rights reserved.
// Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
// More info at http://www.joomlaworks.gr
// Designed and developed by the JoomlaWorks team
// *** Last update: March 28th, 2008 ***
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_absolute_path, $mosConfig_live_site, $mainframe;

// module parameters
$moduleclass_sfx = $params->get('moduleclass_sfx','');
$jpppSourceURL = trim($params->get('jpppSourceURL','www.joomlaworks.gr'));
$jpppSourceFolder = trim($params->get('jpppSourceFolder','jppp'));
$jpppStyle = intval($params->get('jpppStyle',1));
$jpppCaching = intval($params->get('jpppCaching',6));

// other internal parameters
$jpppStart = '<!-- JPPP Starts here -->';
$jpppEnd = '<!-- JPPP Ends here -->';
$fileName = ($jpppStyle) ? 'linkbar.php' : 'linkbar_clean.php';
$linkBarFile = $mosConfig_absolute_path.'/modules/mod_jppp/'.$fileName;

// fetch linkbar contents
if (file_exists($linkBarFile) && filemtime ($linkBarFile) + $jpppCaching * 3600 > time()) {
	
	// file cached, do nothing
	include($linkBarFile);
	
} else {

	// create a socket connection
	$remote = fsockopen($jpppSourceURL, 80, $errno, $errstr, 30);
	
	if (!$remote) {
	  // if no connection is established, display the error message and number
	  echo "$errstr ($errno)<br />\n";
	} else {
	  // otherwise communicate with remote server
	  // prepare the request
	  $out  = "GET /{$jpppSourceFolder}/{$fileName} HTTP/1.1\r\n";
	  $out .= "Host: {$jpppSourceURL}\r\n";
	  $out .= "Connection: Close\r\n\r\n";
	
	  // send the request
	  fwrite($remote, $out);
	  // initialize a variable to capture the response
	  $received = '';
	  // keep the connection open until the end of the response 
	  while (!feof($remote)) {
		$received .= fgets($remote, 1024000);
	  }
	  // close the connection
	  fclose($remote);
	}
	
	// clean the output
	$start = strpos($received, $jpppStart);
	$endTag = $jpppEnd;
	$end = strpos($received, $endTag) + strlen($endTag);
	$received = substr($received, $start, $end-$start);

	// open/create the local file to write the content
	$handle = fopen($linkBarFile, 'w');
	fwrite($handle, $received);  
	fclose($handle);
	
	// Do the include
	include($linkBarFile);
	
}

?>
<!-- Joomla! Professional Partners Program (v1.0) -->
